<?php
/**
 * Class that operate on table 'faidaproduct'. Database Mysql.
 *
 * @author: http://phpdao.com
 * @date: 2020-09-13 19:39
 */
class FaidaproductMySqlExtDAO extends FaidaproductMySqlDAO{

    public function queryWithFaidaId($Faidaid) {
        $sql = 'SELECT faidaproduct.*, product.productName ,unit.unitName ,productcat.productCatName
                
		 FROM faidaproduct JOIN product
		 ON faidaproduct.product_id = product.productId
		 left JOIN productunit
		 ON faidaproduct.productunit = productunit.productunitid
		 left JOIN  unit
		 ON unit.unitId = productunit.unitid

		 join productcat

		  on productcat.productCatId=product.productCatId
		
		 WHERE faidaproduct.Faida_id = ' . $Faidaid . '
                 order by faidaproduct.faida_prod_id asc';
        $sqlQuery = new SqlQuery($sql);
        return $this->getList($sqlQuery);
    }
}
?>